# eoPBILAdditive< EOT > Class Template Reference

Distribution Class for PBIL algorithm (Population-Based Incremental Learning, Baluja and Caruana 96). More...

`#include <eoPBILAdditive.h>`

Inheritance diagram for eoPBILAdditive< EOT >:

List of all members.

## Public Member Functions

| eoPBILAdditive (double _LRBest, unsigned _nbBest=1, double _tolerance=0.0, double _LRWorst=0.0, unsigned _nbWorst=0)
| Ctor with parameters using the default values is equivalent to using eoPBILOrg.
virtual void | operator() (eoDistribution< EOT > &_distrib, eoPop< EOT > &_pop)
| Update the distribution from the current population.

## Private Attributes

double | maxBound
double | minBound
double | LR
unsigned | nbBest
unsigned | nbWorst
double | lrb
double | lrw

## Detailed Description

### template<class EOT>
class eoPBILAdditive< EOT >

Distribution Class for PBIL algorithm (Population-Based Incremental Learning, Baluja and Caruana 96).

This class implements an extended update rule: in the original paper, the authors used

p(i)(t+1) = (1-LR)*p(i)(t) + LR*best(i)

here the same formula is applied, with some of the best individuals and for some of the worst individuals (with different learning rates)

Definition at line 46 of file eoPBILAdditive.h.

The documentation for this class was generated from the following file:

- eoPBILAdditive.h